cURL
curl --request PATCH \ --url https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/signing-config \ --header 'Content-Type: application/json' \ --data ' { "parentCaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "appConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "destinationConfig": { "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "issuingTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "validityPeriod": 1 } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "parentCaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "appConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "destinationConfig": null, "lastExternalCertificateId": "<string>" }
Update the signing configuration for a CA
The ID of the CA to update the signing configuration for.
Show child attributes
Default Response
Was this page helpful?